TOTP / HOTP generator za sigurne jednokratne lozinke
TOTP / HOTP generator stvara jednokratne lozinke iz zajedničke Base32 tajne. TOTP koristi trenutačno vrijeme, dok HOTP koristi brojač. Odaberite 6, 7 ili 8 znamenki, SHA-1, SHA-256 ili SHA-512 te vremenski period poput 15, 30 ili 60 sekundi. Odbrojavanje uživo pokazuje koliko dugo trenutačni TOTP kod vrijedi.
TOTP / HOTP generator stvara jednokratne lozinke koje se koriste u dvofaktorskoj autentifikaciji. Podržava TOTP (RFC 6238), koji svježi kod izvodi iz trenutačnog vremena i zajedničke tajne, i HOTP (RFC 4226), koji kod izvodi iz brojača. Zajednička tajna kodirana je kao Base32 (RFC 4648), format koji nose QR kodovi za Google Authenticator.
Za generiranje kodova alat koristi zajedničku tajnu s odabranim postavkama. Možete odabrati 6, 7 ili 8 znamenki, SHA-1, SHA-256 ili SHA-512 te TOTP period poput 15, 30 ili 60 sekundi. Traka odbrojavanja uživo pokazuje koliko dugo trenutačni vremenski kod vrijedi. Izračuni koriste WebCrypto HMAC i izvode se lokalno u vašem pregledniku.
TOTP i HOTP razlikuju se u vrijednosti iz koje izvode svaki kod: TOTP koristi vrijeme, dok HOTP koristi brojač. Oba formata proizvode jednokratne lozinke iz zajedničke tajne, ali razlika je važna pri testiranju ili radu s određenim tokom dvofaktorske autentifikacije. Generator koristite za pripremu kodova za testne podatke, provjeru radnog tijeka autentifikatora ili usporedbu dvaju standarda.
TOTP / HOTP generator radi u vašem pregledniku i nikakvi se podaci ne šalju na poslužitelj. Nema ovisnost o poslužitelju, pa nakon učitavanja stranice nastavlja raditi izvan mreže. To ga čini korisnim developerima i DevOps inženjerima koji trebaju kodove za lokalno testiranje, fixture, dokumentaciju ili razvojne zadatke bez slanja zajedničke tajne drugamo.
Korak 1: Unesite zajedničku tajnu u Base32 formatu, kodiranju koje se koristi u QR kodovima autentifikatora.
Korak 2: Postavite dostupne opcije: odaberite 6, 7 ili 8 znamenki te SHA-1, SHA-256 ili SHA-512.
Korak 3: Odaberite vremenski period za TOTP, poput 15, 30 ili 60 sekundi.
Korak 4: Generirajte jednokratnu lozinku i provjerite odbrojavanje uživo kako biste vidjeli koliko dugo trenutačni TOTP kod vrijedi.
Korak 5: Kopirajte potrebne vrijednosti za svoj test, fixture ili drugi radni tijek.
Primjer upotrebe: Generirajte TOTP ili HOTP vrijednosti za autentifikacijske testove, fixture i seed podatke umjesto da ručno tipkate ogledne kodove.
Primjer upotrebe: Izradite seriju kodova odjednom pri pripremi testnih podataka, kao alternativu ručnom izmišljanju vrijednosti.
Primjer upotrebe: Proizvodite kodove prema odabranom standardu i postavkama umjesto da se oslanjate na nagađanja upisana na tipkovnici.
Primjer upotrebe: Provjerite kako zajednička Base32 tajna proizvodi jednokratnu lozinku pri testiranju radnog tijeka autentifikatora.
Primjer upotrebe: Usporedite vremenske TOTP kodove s brojačkim HOTP kodovima pri razvoju ili otklanjanju grešaka dvofaktorske autentifikacije.
Primjer upotrebe: Pripremite ogledne jednokratne lozinke za dokumentaciju, demonstracije ili drugi razvojni rad.